# PetscPushSignalHandler

Catches the usual fatal errors and calls a user-provided routine.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscPushSignalHandler(PetscErrorCode (*routine)(int,void*),void* ctx)

Not Collective

### Input Parameter

| routine | - routine to call when a signal is received
| ctx | - optional context needed by the routine

### See Also

PetscPopSignalHandler(), PetscDefaultSignalHandler()

Level:developer
Location: src/sys/error/signal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html